package com.zd.airbottle.mapper;

import com.zd.airbottle.domain.QpTransportUser;
import com.zd.airbottle.domain.vo.QpTransportUserVo;

import java.util.List;

/**
 * 运输人员Mapper接口
 * 
 * @author zd
 * @date 2022-05-12
 */
public interface QpTransportUserMapper 
{
    /**
     * 查询运输人员
     * 
     * @param id 运输人员主键
     * @return 运输人员
     */
    QpTransportUser selectQpTransportUserById(Long id);

    /**
     * 查询运输人员列表
     * 
     * @param qpTransportUser 运输人员
     * @return 运输人员集合
     */
    List<QpTransportUser> selectQpTransportUserList(QpTransportUser qpTransportUser);

    /**
     * 新增运输人员
     * 
     * @param qpTransportUser 运输人员
     * @return 结果
     */
    int insertQpTransportUser(QpTransportUser qpTransportUser);

    /**
     * 修改运输人员
     * 
     * @param qpTransportUser 运输人员
     * @return 结果
     */
    int updateQpTransportUser(QpTransportUser qpTransportUser);

    /**
     * 删除运输人员
     * 
     * @param id 运输人员主键
     * @return 结果
     */
    int deleteQpTransportUserById(Long id);

    /**
     * 批量删除运输人员
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteQpTransportUserByIds(Long[] ids);

    /**
     * 根据ID集合批量查询
     * @param userIds ID集合
     * @return 结果集
     */
    List<QpTransportUser> selectQpTransportUserListByIds(Long[] userIds);

    /**
     * 根据供应商ID集合获取运输人员数量
     * @param supplierIds 供应商ID集合
     * @return map结果集
     */
    List<QpTransportUserVo> getBySupplierIds(List<Long> supplierIds);

    /***
     * 根据供应商查询注册用户
     * @return
     */
    List<QpTransportUser> selectUserList(QpTransportUserVo qpTransportUserVo);
}
